@media print {
    body {
        -webkit-print-color-adjust: exact !important;
        print-color-adjust: exact !important;
    }
    main {
        background-color: white !important;
        overflow: hidden !important;
    }
    .omnibar,
    .sidebar,
    .button,
    button,
    header,
    .no-print {
        display: none !important;
    }
    table {
        font-size: 12px !important;
    }
    .app-layout-main {
        height: 100% !important;
        padding-top: 0 !important;
    }
    .page {
        padding: 0 !important;
        margin: 0 !important;
        background-color: white !important;
        width: 100% !important;
    }
    .page-break {
        page-break-before: always;
    }
    .print-details {
        display: block !important;
    }
    .diminishing-difference canvas,
    .progress-over-time-widget canvas,
    .progress-over-time canvas {
        max-width: 100% !important;
        max-height: 70vh !important;
    }
    .pupil-overview table {
        table-layout: fixed;
        font-size: 8px !important;
    }
    .pupil-overview td,
    .pupil-overview th {
        width: 20px;
    }


    /* REPORTS */
    .print-only {
        display: block !important;
    }
    
    .report-page__overlay {
        display: none !important;
    }
    .breadcrumb {
        display: none !important;
    }
    .report-header, .toolbar {
        margin: 0 !important;
        margin-bottom: 2px !important;
    }
    .report-header__titles {
        flex-direction: row !important;
        justify-content: center !important;
        gap: 10px !important;
    }
    .report-header__titles__subtitle {
    line-height: 25px !important;
    }
    .toolbar {
        border: none !important;
    }
    .toolbar__filters {
        display: none !important;
    }
    .jui-report-table__container {
        max-height: 100% !important;
    }
    .jui-report-table {
        min-width: 50px !important;
    }
    .groupby-filter {
        display: none !important;
    }

    table {
        page-break-after: auto !important;
        table-layout: fixed !important;
    }
    table thead {
        display: table-header-group !important;
    }

    .table-wrapper,
    .table-wrapper__data-table {
        page-break-after: always !important;
        break-after: always !important;
        border: none !important;
    }

    .table-wrapper.collapsed,
    .table-wrapper__data-table.collapsed {
        display: none !important;
    }
    .table-wrapper__header i {
        display: none !important;
    }

    .stacked-bar__segment {
        height: 35px !important;
    }

    /* Pupil Progress Meeting Styles */
    .pupil-progress table td .pupil-cell {
        page-break-inside: avoid !important;
        page-break-after: auto !important;
    }

    /* EYFS GLD Print Styles */
    .eyfs-gld table tr {
        page-break-inside: avoid !important;
        page-break-after: auto !important;
    }
    .eyfs-gld table td {
        page-break-inside: avoid !important;
        page-break-after: auto !important;
    }
    .eyfs-gld .jui-report-table__head-data:first-child,
    .eyfs-gld .jui-report-table__body-data:first-child {
        width: 160px !important;
        max-width: 160px !important;
    }

    .table-wrapper__data-actions {
        display: none !important;
    }

    .toolbar .jui-report-table__container {
        display: none !important;
    }

    .jui-report-table__row {
        page-break-inside: avoid !important;
        break-inside: avoid !important;
    }

    .report-page {
        padding-bottom: 0;
    }

    .vertical-header-cell i {
        display: none !important;
    }

    .triangulation-report .jui-report-table .vertical-header-cell,
    .triangulation-report .jui-report-table td {
        font-size: 11px !important;
    }
    .triangulation-report .jui-report-table td .results-code__pill {
        padding: 2px 4px !important;
        height: fit-content !important;
        min-width: 0 !important;
    }
    .triangulation-report .jui-report-table th:first-child {
        width: 150px !important;
        max-width: 150px !important;
        min-width: 0 !important;
    }
    .triangulation-report .jui-report-table th:first-child span {
        width: 150px !important;
        max-width: 150px !important;
        min-width: 0 !important;
    }
    .triangulation-report .jui-report-table .pupil-cell {
        width: 130px !important;
        max-width: 130px !important;
        font-size: 10px !important;
    }
}
